| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | Friends | List of all members
Gaudi::tagged_bool_ns::tagged_bool< Tag > Class Template Reference

`#include <GaudiKernel/TaggedBool.h>`

## Public Member Functions
constexpr | tagged_bool (bool v)
constexpr | tagged_bool (int)=delete
constexpr | tagged_bool (double)=delete
constexpr | tagged_bool (void *)=delete
template<typename OtherTag >
constexpr | tagged_bool (tagged_bool< OtherTag > b)
constexpr | operator bool () const
constexpr tagged_bool | operator! () const

## Private Attributes
bool | value

## Friends
template<typename >
class | tagged_bool
constexpr bool | operator== (tagged_bool l, tagged_bool r)
constexpr bool | operator!= (tagged_bool l, tagged_bool r)

## Detailed Description

### template<typename Tag>
class Gaudi::tagged_bool_ns::tagged_bool< Tag >

Definition at line 16 of file TaggedBool.h.

## Constructor & Destructor Documentation

## ◆ tagged_bool() [1/5]

template<typename Tag>

constexpr Gaudi::tagged_bool_ns::tagged_bool< Tag >::tagged_bool | ( | bool | v | ) |
| inline explicit

Definition at line 22 of file TaggedBool.h.

22 : value{v} {}
Gaudi::tagged_bool_ns::tagged_bool::value
bool value
Definition: TaggedBool.h:17

## ◆ tagged_bool() [2/5]

template<typename Tag>

constexpr Gaudi::tagged_bool_ns::tagged_bool< Tag >::tagged_bool | ( | int |  | ) |
| explicit delete

## ◆ tagged_bool() [3/5]

template<typename Tag>

constexpr Gaudi::tagged_bool_ns::tagged_bool< Tag >::tagged_bool | ( | double |  | ) |
| explicit delete

## ◆ tagged_bool() [4/5]

template<typename Tag>

constexpr Gaudi::tagged_bool_ns::tagged_bool< Tag >::tagged_bool | ( | void * |  | ) |
| explicit delete

## ◆ tagged_bool() [5/5]

template<typename Tag>
template<typename OtherTag >

constexpr Gaudi::tagged_bool_ns::tagged_bool< Tag >::tagged_bool | ( | tagged_bool< OtherTag > | b | ) |
| inline explicit

Definition at line 29 of file TaggedBool.h.

29 : value{b.value} {}
Gaudi::tagged_bool_ns::tagged_bool::value
bool value
Definition: TaggedBool.h:17

## Member Function Documentation

## ◆ operator bool()

template<typename Tag>

constexpr Gaudi::tagged_bool_ns::tagged_bool< Tag >::operator bool | ( |  | ) | const
| inline explicit

Definition at line 31 of file TaggedBool.h.

31 { return value; }
Gaudi::tagged_bool_ns::tagged_bool::value
bool value
Definition: TaggedBool.h:17

## ◆ operator!()

template<typename Tag>

constexpr tagged_bool Gaudi::tagged_bool_ns::tagged_bool< Tag >::operator! | ( |  | ) | const
| inline

Definition at line 32 of file TaggedBool.h.

32 { return tagged_bool{!value}; }
Gaudi::tagged_bool_ns::tagged_bool::tagged_bool
friend class tagged_bool
Definition: TaggedBool.h:19
Gaudi::tagged_bool_ns::tagged_bool::value
bool value
Definition: TaggedBool.h:17

## Friends And Related Function Documentation

## ◆ operator!=

template<typename Tag>

constexpr bool operator!= | ( | tagged_bool< Tag > | l,
|  | tagged_bool< Tag > | r
| ) |  |
| friend

Definition at line 35 of file TaggedBool.h.

35 { return l.value != r.value; }
gaudirun.l
dictionary l
Definition: gaudirun.py:521

## ◆ operator==

template<typename Tag>

constexpr bool operator== | ( | tagged_bool< Tag > | l,
|  | tagged_bool< Tag > | r
| ) |  |
| friend

Definition at line 34 of file TaggedBool.h.

34 { return l.value == r.value; }
gaudirun.l
dictionary l
Definition: gaudirun.py:521

## ◆ tagged_bool

template<typename Tag>
template<typename >

friend class tagged_bool
| friend

Definition at line 19 of file TaggedBool.h.

## Member Data Documentation

## ◆ value

template<typename Tag>

bool Gaudi::tagged_bool_ns::tagged_bool< Tag >::value
| private

Definition at line 17 of file TaggedBool.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/TaggedBool.h